import request from '@/utils/request'

//查询
export function Query (params) {
  return request({
    url: '/openApi/query',
    method: 'post',
    data: params,
  })
}

//新增
export function newData (params) {
  return request({
    url: '/openApi/newdata',
    method: 'post',
    data: params,
  })
}

//修改
export function modifyData (params) {
  return request({
    url: '/openApi/modifydata',
    method: 'post',
    data: params,
  })
}

//删除movedata
export function moveData (params) {
  return request({
    url: '/openApi/movedata',
    method: 'post',
    data: params,
  })
}

//数据清除
export function abnormalDataRecovery (params) {
  return request({
    url: '/openApi/abnormalDataRecovery',
    method: 'post',
    data: params,
  })
}

//服务启动
export function start (params) {
  return request({
    url: '/controlApi/start',
    method: 'post',
    data: params,
  })
}
//服务停止
export function stop (params) {
  return request({
    url: '/controlApi/stop',
    method: 'post',
    data: params,
  })
}

//服务全部启动
export function startAll (params) {
  return request({
    url: '/controlApi/startAll',
    method: 'post',
    data: params,
  })
}
//服务全部停止
export function stopAll (params) {
  return request({
    url: '/controlApi/stopAll',
    method: 'post',
    data: params,
  })
}
//获取用户组权限授权
export function getAuthorization (params) {
  return request({
    url: '/user/getAuthorization',
    method: 'post',
    data: params,
  })
}
//用户组权限授权
export function authorization (params) {
  return request({
    url: '/user/authorization',
    method: 'post',
    data: params,
  })
}

