/*
 * @Author: zk
 * @Date: 2021-09-16 16:20:11
 * @LastEditTime: 2021-10-18 09:14:26
 * @LastEditors: Please set LastEditors
 * @Description: 折线图初始数据
 * @FilePath: \vue-admin-template-master\src\layout\mixin\commonChartsLine.js
 */
export default {
  data () {
    return {
      options: {
        title: {
          text: 'Basic Radar Chart'
        },
        legend: {
          data: ['Allocated Budget', 'Actual Spending']
        },
        radar: {
          // shape: 'circle',
          indicator: [
            { name: 'Sales', max: 6500 },
            { name: 'Administration', max: 16000 },
            { name: 'Information Technology', max: 30000 },
            { name: 'Customer Support', max: 38000 },
            { name: 'Development', max: 52000 },
            { name: 'Marketing', max: 25000 }
          ]
        },
        series: [
          {
            name: 'Budget vs spending',
            type: 'radar',
            data: [
              {
                value: [4200, 3000, 20000, 35000, 50000, 18000],
                name: 'Allocated Budget'
              }
            ]
          }
        ]
      }
    }
  }
}